/*
 * Class WEL_GDIP_TEXTURE_BRUSH
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_742 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_742 [] = {0xFF01,1551,741,0xFFFF};
static const EIF_TYPE_INDEX egt_2_742 [] = {0xFF01,741,0xFFFF};
static const EIF_TYPE_INDEX egt_3_742 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_742 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_742 [] = {0xFF01,741,0xFFFF};
static const EIF_TYPE_INDEX egt_6_742 [] = {0xFF01,741,0xFFFF};
static const EIF_TYPE_INDEX egt_7_742 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_742 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_742 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_742 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_742 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_742 [] = {0xFF01,741,0xFFFF};
static const EIF_TYPE_INDEX egt_13_742 [] = {0xFF01,110,0xFFFF};


static const struct desc_info desc_742[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_742), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_742), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_742), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_742), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_742), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_742), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_742), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_742), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_742), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_742), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_742), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_742), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17399, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x05CB /*741*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_742), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17403, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17400, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17401, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17402, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17404, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_742), 17405, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17491, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17490, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17492, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17493, 0xFFFFFFFF},
};
void Init742(void)
{
	IDSC(desc_742, 0, 741);
	IDSC(desc_742 + 1, 1, 741);
	IDSC(desc_742 + 32, 791, 741);
	IDSC(desc_742 + 34, 1359, 741);
	IDSC(desc_742 + 44, 523, 741);
	IDSC(desc_742 + 49, 1662, 741);
	IDSC(desc_742 + 51, 1581, 741);
}


#ifdef __cplusplus
}
#endif
